/*static char *SCCSID = "@(#)chkvdb.c	6.1 90/11/17";*/
/*static char *SCCSID = "@(#)chkvdb.c	13.2 90/01/25";*/
#include <os2.h>
#include "api.h"
#include "const.h"
#include "misc.h"
#include "chain.h"
#include "buf.h"
#include "dir.h"
#include "volume.h"
#include "storage.h"
#include "tables.h"

#include "frame.h"
#include "lw.h"
#include "fsdata.h"

#include "pr_DEBUG.h"
#include "pr_MISC.h"

extern BOOL fMTFlag;

/*
 ***	ChkVDB - Check VerifyDB Counts
 *
 *	ENTRY	none
 *	exit	none
 */
void far
ChkVDB()
{
	if ( (SHORT) pfrm->pvol->cVDBcalls <= 0)
	    INTERR("ChkVDB:  cVDBcalls unreasonable.");

	if ( (pfrm->pvol->cVDBcalls > 0) && (fMTFlag == 0) )
	    INTERR("ChkVDB:  cVDBcalls not zero.");
}
